Author Topic: LISP for filleting two lines plus add point..  (Read 2023 times)

0 Members and 1 Guest are viewing this topic.

hardwired

  • Guest
LISP for filleting two lines plus add point..
« on: February 19, 2009, 05:45:19 AM »
Hey peeps,

I'm after writing a LISP for filleting two lines / polylines with user definable radii, but also to add a point where the apparent intersection is..

I'm presuming that this would have already been done before but can't find anything online - anyone point me in the right direction of a source file or give me a few pointers on intersection points on object in LISP please..

Thanks muchly,

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: LISP for filleting two lines plus add point..
« Reply #1 on: February 19, 2009, 08:31:34 AM »
You might have a look at the IntersectWith method.

Quote
If the two objects do not intersect, no data is returned. You can request the point of intersection that would occur if one or both of the objects were extended to meet the other. For example, in the following illustration, Line1 is the base object from which this method was called and line3 is the object passed as a parameter. If the ExtendOption passed is acExtendThisEntity, point A is returned as the point where line1 would intersect line3 if line1 were extended. If the ExtendOption is acExtendOtherEntity, no data is returned because even if line3 were extended, it would not intersect line1.

If the intersection type is acExtendBothEntities and line2 is passed as the parameter entity, point B is returned. If the ExtendOption is acExtendNone and line2 is the parameter entity, no data is returned.


Code: [Select]
;;RetVal = object.IntersectWith(IntersectObject, ExtendOption)
(vlax-invoke-method LINE1 'IntersectWith LINE2 acExtendBoth)
TheSwamp.org  (serving the CAD community since 2003)